Objectives
==========

The best way to describe the project is by dividing the objectives.
And the best way to understand the progression of those and their relation
is with a diagram.


![Objectives Tree](images/objectives.pdf)

**Capped** is more than a minimum viable product, a extensive proof-of-concept,
with a few limited algorithms and the ability of inputing `.csv` files, with a
restricted interface in which we don't drag & drop algorithms but merely select
buttons.

**Parity** means a more or less complete parity in terms of features and visual
interaction. We don't really care much about having the same number of
underlying algorithms because that's not the focus of the project.

And the final objective is **Compilation**, the ability to get the python
source code from the visual representation, also improving the interface to
have a better flow, such as in unreal blueprints, which provide a very
intuitive interface [@shah2014mastering].

This milestone would bring Persimmon utility outside just the realm of
learning, as it would be a convenient tool for the exploratory work of any
ML solution (Business case, a Kaggle[^kaggle] competition, etc...

Out of scope, but further applications of the system are **web/junyper**
integration that means the system would be accessible from a website interface,
and script **synthesization**, which is the opposite of compilation, meaning
the ability to visualize on persimmon a python source file.

Now that we understand the objectives we can draw a much detailed Gantt diagram.

![Gantt Diagram](images/gantt.pdf)


We omitted previous months that included idea refinement but are not
interesting for us.

[^kaggle]: [Kaggle.com](https://www.kaggle.com/)
